public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2021-01-02 17:11 Ross Charles Campbell
  0 siblings, 0 replies; 6+ messages in thread
From: Ross Charles Campbell @ 2021-01-02 17:11 UTC (permalink / raw
  To: gentoo-commits

commit:     58073061812784fc34ca2a5cdd3cf3286b92a801
Author:     Ross Charles Campbell <rossbridger.cc <AT> gmail <DOT> com>
AuthorDate: Sat Jan  2 16:35:17 2021 +0000
Commit:     Ross Charles Campbell <rossbridger.cc <AT> gmail <DOT> com>
CommitDate: Sat Jan  2 17:07:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=58073061

dev-util/gammaray: New Package

High-level runtime introspection tool for Qt applications.

Closes: https://github.com/gentoo/gentoo/pull/9343
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Petros Siligkounas <petross404 <AT> gmail.com>
Signed-off-by: Ross Charles Campbell <rossbridger.cc <AT> gmail.com>

 dev-util/gammaray/Manifest               |  1 +
 dev-util/gammaray/gammaray-2.11.2.ebuild | 87 ++++++++++++++++++++++++++++++++
 dev-util/gammaray/metadata.xml           | 36 +++++++++++++
 3 files changed, 124 insertions(+)

diff --git a/dev-util/gammaray/Manifest b/dev-util/gammaray/Manifest
new file mode 100644
index 00000000..2cab5136
--- /dev/null
+++ b/dev-util/gammaray/Manifest
@@ -0,0 +1 @@
+DIST gammaray-2.11.2.tar.gz 10333340 BLAKE2B 8dbb83e22826cd08e3a7105bfe910d9862ea47e3709e0c61c22ed9fe4974d27412f79a587de0ac6bb092f0edf07476c10717ca40dd8e7b43903aa44686158489 SHA512 788a4bb6c96e8c5d9a6762d94ad0a452c95d20c79b4b10a1b774950fb047633f040707d984c5e769b8c47ab6a2b9f9c338b0700ad17315588b1275f226a04f51

diff --git a/dev-util/gammaray/gammaray-2.11.2.ebuild b/dev-util/gammaray/gammaray-2.11.2.ebuild
new file mode 100644
index 00000000..ed5214b7
--- /dev/null
+++ b/dev-util/gammaray/gammaray-2.11.2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="High-level runtime introspection tool for Qt applications"
+HOMEPAGE="https://www.kdab.com/gammaray https://github.com/KDAB/GammaRay"
+
+if [[ ${PV} == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/KDAB/GammaRay.git"
+else
+	SRC_URI="https://github.com/KDAB/GammaRay/releases/download/v${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-2+"
+SLOT=0
+IUSE="3d bluetooth designer doc geolocation printsupport script scxml svg test qml wayland webengine"
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	kde-frameworks/kitemmodels:5
+	3d? ( dev-qt/qt3d:5 )
+	bluetooth? ( dev-qt/qtbluetooth:5 )
+	designer? ( dev-qt/designer:5 )
+	geolocation? ( dev-qt/qtpositioning:5 )
+	printsupport? ( dev-qt/qtprintsupport:5 )
+	qml? ( dev-qt/qtdeclarative:5[widgets] )
+	script? ( dev-qt/qtscript:5[scripttools] )
+	scxml? ( dev-qt/qtscxml:5 )
+	svg? ( dev-qt/qtsvg:5 )
+	webengine? ( dev-qt/qtwebengine:5[widgets] )
+	wayland? ( dev-qt/qtwayland:5 )
+"
+
+DEPEND="${RDEPEND}
+	test? ( dev-qt/qttest:5 )
+"
+
+src_prepare(){
+	sed -i "/BackwardMacros.cmake/d" CMakeLists.txt || die
+	sed -i "/add_backward(gammaray_core)/d" core/CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure(){
+	local mycmakeargs=(
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DAnimation=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DExtras=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DInput=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DLogic=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DRender=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DQuick=$(usex !3d)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Bluetooth=$(usex !bluetooth)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Designer=$(usex !designer)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Positioning=$(usex !geolocation)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5PrintSupport=$(usex !printsupport)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Qml=$(usex !qml)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Quick=$(usex !qml)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5QuickWidgets=$(usex !qml)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Script=$(usex !script)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Svg=$(usex !svg)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Scxml=$(usex !scxml)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Test=$(usex !test)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5WaylandCompositor=$(usex !wayland)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets=$(usex !webengine)
+		-DGAMMARAY_BUILD_DOCS=$(usex doc)
+		-DGAMMARAY_BUILD_UI=ON
+		-DGAMMARAY_DISABLE_FEEDBACK=ON
+	)
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	elog
+	elog "Install dev-util/kdstatemachineeditor as optional dependency"
+	elog "for graphical state machine debugging support"
+	elog
+}

diff --git a/dev-util/gammaray/metadata.xml b/dev-util/gammaray/metadata.xml
new file mode 100644
index 00000000..b52f014a
--- /dev/null
+++ b/dev-util/gammaray/metadata.xml
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>rossbridger.cc@gmail.com</email>
+		<name>Ross Charles Campbell</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>petross404@gmail.com</email>
+		<name>Petros S</name>
+	</maintainer>
+	<longdescription>
+GammaRay is a software introspection tool for Qt applications developed by KDAB.
+Leveraging the QObject introspection mechanism it allows you to observe and manipulate
+your application at runtime. This works both locally on your workstation and remotely
+on an embedded target.
+
+Augmenting your instruction-level debugger, GammaRay allows you to work on a much higher
+level, with the same concepts as the frameworks you use. This is especially useful for
+the more complex Qt frameworks such as model/view, state machines or scene graphs.
+	</longdescription>
+	<use>
+		<flag name="3d">Build support for Qt5 3D modules</flag>
+		<flag name="designer">Widget .ui file export</flag>
+		<flag name="geolocation">Physical position determination support from Qt5 framework</flag>
+		<flag name="printsupport">Printing support library from the Qt5 framework. Required for widget PDF export</flag>
+		<flag name="script">Enable scripting support from the Qt5 framework</flag>
+		<flag name="qml">Build with Qt5 Quick support</flag>
+		<flag name="scxml">Build support for Qt5 State Chart XML (SCXML)</flag>
+		<flag name="webengine">Enable support for dev-qt/qtwebengine</flag>
+	</use>
+	<upstream>
+		<remote-id type="github">KDAB/GammaRay</remote-id>
+		<bugs-to>https://github.com/KDAB/GammaRay/issues</bugs-to>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2021-03-28  9:55 Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2021-03-28  9:55 UTC (permalink / raw
  To: gentoo-commits

commit:     89f4425aaac53a72b01b3cc5ed16c693a06810fe
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Mar 28 09:49:18 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 28 09:49:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=89f4425a

dev-util/gammaray: add missing RESTRICT="!test? ( test )"

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-util/gammaray/gammaray-2.11.2.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-util/gammaray/gammaray-2.11.2.ebuild b/dev-util/gammaray/gammaray-2.11.2.ebuild
index ed5214b71..d404d332d 100644
--- a/dev-util/gammaray/gammaray-2.11.2.ebuild
+++ b/dev-util/gammaray/gammaray-2.11.2.ebuild
@@ -19,6 +19,7 @@ fi
 LICENSE="GPL-2+"
 SLOT=0
 IUSE="3d bluetooth designer doc geolocation printsupport script scxml svg test qml wayland webengine"
+RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-qt/qtcore:5


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2021-04-15  7:09 Theo Anderson
  0 siblings, 0 replies; 6+ messages in thread
From: Theo Anderson @ 2021-04-15  7:09 UTC (permalink / raw
  To: gentoo-commits

commit:     71a92641ab91d73c64e8ada8aa451238290c4e4b
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Thu Apr 15 04:13:57 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Thu Apr 15 07:09:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=71a92641

dev-util/gammaray: don't install into deprecated /usr/share/appdata/

Closes: https://bugs.gentoo.org/780957
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-util/gammaray/gammaray-2.11.2.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-util/gammaray/gammaray-2.11.2.ebuild b/dev-util/gammaray/gammaray-2.11.2.ebuild
index d404d332d..87d5dec23 100644
--- a/dev-util/gammaray/gammaray-2.11.2.ebuild
+++ b/dev-util/gammaray/gammaray-2.11.2.ebuild
@@ -49,6 +49,8 @@ DEPEND="${RDEPEND}
 src_prepare(){
 	sed -i "/BackwardMacros.cmake/d" CMakeLists.txt || die
 	sed -i "/add_backward(gammaray_core)/d" core/CMakeLists.txt || die
+	# Don't install into deprecated /usr/share/appdata/
+	sed -i "s|/appdata|/metainfo|g" {CMakeLists.txt,gammaray.spec} || die
 	cmake_src_prepare
 }
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2021-04-15  7:09 Theo Anderson
  0 siblings, 0 replies; 6+ messages in thread
From: Theo Anderson @ 2021-04-15  7:09 UTC (permalink / raw
  To: gentoo-commits

commit:     71acc86915c7bc9cc07b5da36a2041f9b91a5a66
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Thu Apr 15 04:14:27 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Thu Apr 15 07:09:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=71acc869

dev-util/gammaray: inherit xdg (update iconcache)

Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-util/gammaray/gammaray-2.11.2.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/dev-util/gammaray/gammaray-2.11.2.ebuild b/dev-util/gammaray/gammaray-2.11.2.ebuild
index 87d5dec23..3abfc5281 100644
--- a/dev-util/gammaray/gammaray-2.11.2.ebuild
+++ b/dev-util/gammaray/gammaray-2.11.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit cmake
+inherit xdg cmake
 
 DESCRIPTION="High-level runtime introspection tool for Qt applications"
 HOMEPAGE="https://www.kdab.com/gammaray https://github.com/KDAB/GammaRay"
@@ -83,6 +83,8 @@ src_configure(){
 }
 
 pkg_postinst() {
+	xdg_pkg_postinst
+
 	elog
 	elog "Install dev-util/kdstatemachineeditor as optional dependency"
 	elog "for graphical state machine debugging support"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2021-11-07 13:56 Anna Vyalkova
  0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2021-11-07 13:56 UTC (permalink / raw
  To: gentoo-commits

commit:     6c753079c0b542fdac3950424c1fb7f80938ae0c
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Nov  7 13:55:09 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Nov  7 13:56:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6c753079

dev-util/gammaray: add 2.11.3, drop 2.11.2

Closes: https://bugs.gentoo.org/800632
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-util/gammaray/Manifest                         |  2 +-
 ...mmaray-2.11.2.ebuild => gammaray-2.11.3.ebuild} | 74 +++++++++++++---------
 dev-util/gammaray/metadata.xml                     |  2 +-
 3 files changed, 46 insertions(+), 32 deletions(-)

diff --git a/dev-util/gammaray/Manifest b/dev-util/gammaray/Manifest
index 2cab5136d..51f6fd33e 100644
--- a/dev-util/gammaray/Manifest
+++ b/dev-util/gammaray/Manifest
@@ -1 +1 @@
-DIST gammaray-2.11.2.tar.gz 10333340 BLAKE2B 8dbb83e22826cd08e3a7105bfe910d9862ea47e3709e0c61c22ed9fe4974d27412f79a587de0ac6bb092f0edf07476c10717ca40dd8e7b43903aa44686158489 SHA512 788a4bb6c96e8c5d9a6762d94ad0a452c95d20c79b4b10a1b774950fb047633f040707d984c5e769b8c47ab6a2b9f9c338b0700ad17315588b1275f226a04f51
+DIST gammaray-2.11.3.tar.gz 10841865 BLAKE2B 07a8c6a1257417d8daed5d7bfdd7e9aaaa353a0edfc0f20a73ac61fcf64e45030346f2268c50ecc220aeaffad38c3ecac788192c491778eca31d07ef9166329e SHA512 1fb16678ae4695567ffe6cca7870b3fcf8b82c2e9f15f005932586696a3e24f64e657ce25b0ebb87ba25646a6bdfe1c9b35a3604f341839e7c5183df859c05a0

diff --git a/dev-util/gammaray/gammaray-2.11.2.ebuild b/dev-util/gammaray/gammaray-2.11.3.ebuild
similarity index 50%
rename from dev-util/gammaray/gammaray-2.11.2.ebuild
rename to dev-util/gammaray/gammaray-2.11.3.ebuild
index 3abfc5281..98c015610 100644
--- a/dev-util/gammaray/gammaray-2.11.2.ebuild
+++ b/dev-util/gammaray/gammaray-2.11.3.ebuild
@@ -1,9 +1,10 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit xdg cmake
+CMAKE_REMOVE_MODULES_LIST=( BackwardConfig )
+inherit cmake optfeature xdg
 
 DESCRIPTION="High-level runtime introspection tool for Qt applications"
 HOMEPAGE="https://www.kdab.com/gammaray https://github.com/KDAB/GammaRay"
@@ -16,11 +17,16 @@ else
 	KEYWORDS="~amd64"
 fi
 
-LICENSE="GPL-2+"
+LICENSE="BSD-2 GPL-2+ MIT"
 SLOT=0
 IUSE="3d bluetooth designer doc geolocation printsupport script scxml svg test qml wayland webengine"
-RESTRICT="!test? ( test )"
 
+# broken tests
+RESTRICT="test"
+
+DOCS=( CHANGES CONTRIBUTORS.txt README.txt )
+
+# TODO: fix automagic sci-libs/vtk (and many other) dependencies
 RDEPEND="
 	dev-qt/qtcore:5
 	dev-qt/qtconcurrent:5
@@ -47,46 +53,54 @@ DEPEND="${RDEPEND}
 "
 
 src_prepare(){
-	sed -i "/BackwardMacros.cmake/d" CMakeLists.txt || die
+	sed -i \
+		-e "/BackwardConfig.cmake/d" \
+		-e "/set(KDE_INSTALL_USE_QT_SYS_PATHS/d" -i CMakeLists.txt || die
 	sed -i "/add_backward(gammaray_core)/d" core/CMakeLists.txt || die
-	# Don't install into deprecated /usr/share/appdata/
-	sed -i "s|/appdata|/metainfo|g" {CMakeLists.txt,gammaray.spec} || die
+
 	cmake_src_prepare
 }
 
 src_configure(){
 	local mycmakeargs=(
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DAnimation=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DExtras=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DInput=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DLogic=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DRender=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt53DQuick=$(usex !3d)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Bluetooth=$(usex !bluetooth)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Designer=$(usex !designer)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Positioning=$(usex !geolocation)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5PrintSupport=$(usex !printsupport)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Qml=$(usex !qml)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Quick=$(usex !qml)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5QuickWidgets=$(usex !qml)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Script=$(usex !script)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Svg=$(usex !svg)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Scxml=$(usex !scxml)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Test=$(usex !test)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5WaylandCompositor=$(usex !wayland)
-		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets=$(usex !webengine)
+		$(cmake_use_find_package 3d Qt53DAnimation)
+		$(cmake_use_find_package 3d Qt53DExtras)
+		$(cmake_use_find_package 3d Qt53DInput)
+		$(cmake_use_find_package 3d Qt53DLogic)
+		$(cmake_use_find_package 3d Qt53DRender)
+		$(cmake_use_find_package 3d Qt53DQuick)
+		$(cmake_use_find_package bluetooth Qt5Bluetooth)
+		$(cmake_use_find_package designer Qt5Designer)
+		$(cmake_use_find_package geolocation Qt5Positioning)
+		$(cmake_use_find_package printsupport Qt5PrintSupport)
+		$(cmake_use_find_package qml Qt5Qml)
+		$(cmake_use_find_package qml Qt5Quick)
+		$(cmake_use_find_package qml Qt5QuickWidgets)
+		$(cmake_use_find_package script Qt5Script)
+		$(cmake_use_find_package svg Qt5Svg)
+		$(cmake_use_find_package scxml Qt5Scxml)
+		$(cmake_use_find_package test Qt5Test)
+		$(cmake_use_find_package wayland Qt5WaylandCompositor)
+		$(cmake_use_find_package webengine Qt5WebEngineWidgets)
 		-DGAMMARAY_BUILD_DOCS=$(usex doc)
 		-DGAMMARAY_BUILD_UI=ON
 		-DGAMMARAY_DISABLE_FEEDBACK=ON
+
+		# fix install paths
+# 		-DDOC_INSTALL_DIR="doc/${PF}"
+		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
 	)
+
 	cmake_src_configure
 }
 
+src_install() {
+	cmake_src_install
+	rm -r "${ED}"/usr/share/doc/${PN} || die
+}
+
 pkg_postinst() {
 	xdg_pkg_postinst
 
-	elog
-	elog "Install dev-util/kdstatemachineeditor as optional dependency"
-	elog "for graphical state machine debugging support"
-	elog
+	optfeature "graphical state machine debugging support" dev-util/kdstatemachineeditor
 }

diff --git a/dev-util/gammaray/metadata.xml b/dev-util/gammaray/metadata.xml
index 5566fb812..bbe46102d 100644
--- a/dev-util/gammaray/metadata.xml
+++ b/dev-util/gammaray/metadata.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<maintainer type="person">
 		<email>rossbridger.cc@gmail.com</email>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/
@ 2022-05-25 20:21 Alessandro Barbieri
  0 siblings, 0 replies; 6+ messages in thread
From: Alessandro Barbieri @ 2022-05-25 20:21 UTC (permalink / raw
  To: gentoo-commits

commit:     e91f945ecbd85ccc0703cd9fdbf244b5aa7bcdb9
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed May 25 19:48:52 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Wed May 25 19:48:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e91f945e

dev-util/gammaray: update HOMEPAGE

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-util/gammaray/gammaray-2.11.3.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/dev-util/gammaray/gammaray-2.11.3.ebuild b/dev-util/gammaray/gammaray-2.11.3.ebuild
index f181b0f47..7bb932faf 100644
--- a/dev-util/gammaray/gammaray-2.11.3.ebuild
+++ b/dev-util/gammaray/gammaray-2.11.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -7,7 +7,10 @@ CMAKE_REMOVE_MODULES_LIST=( BackwardConfig )
 inherit cmake optfeature virtualx xdg
 
 DESCRIPTION="High-level runtime introspection tool for Qt applications"
-HOMEPAGE="https://www.kdab.com/gammaray/ https://github.com/KDAB/GammaRay"
+HOMEPAGE="
+	https://www.kdab.com/development-resources/qt-tools/gammaray/
+	https://github.com/KDAB/GammaRay
+"
 
 if [[ ${PV} == 9999 ]] ; then
 	inherit git-r3


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2022-05-25 20:21 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-11-07 13:56 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/gammaray/ Anna Vyalkova
  -- strict thread matches above, loose matches on Subject: below --
2022-05-25 20:21 Alessandro Barbieri
2021-04-15  7:09 Theo Anderson
2021-04-15  7:09 Theo Anderson
2021-03-28  9:55 Andrew Ammerlaan
2021-01-02 17:11 Ross Charles Campbell

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox